function _randomString(e) {  
  e = e || 32;
  var t = "ABCDEFGHJKMNPQRSTWXYZabcdefhijkmnprstwxyz0123456789",
  a = t.length,
  n = "";
  for (i = 0; i < e; i++) n += t.charAt(Math.floor(Math.random() * a));
  return n;
}

$(function(){
	//编辑代理商
	$(".addons_modal_edit").click(function(){		
		$("#addons_modal_edit").modal("show");
		var clients=$(this).parent().parent().data("clients");
		$("#addons_modal_edit input[name='apikey']").val(clients.apikey);
		$("#addons_modal_edit input[name='userid']").val(clients.userid);
		$("#addons_modal_edit select[name='disabled'] option").each(function(index){
			if($(this).attr("value")==clients.disabled){
				$(this).prop("selected",true);
			} 
		});		
	});
	$("#apikey").click(function(){
		$("#addons_modal_edit input[name='apikey']").val(_randomString(20));
	});
	//删除代理商
	$(".addons_modal_del").click(function(){		
		$("#addons_modal_del").modal("show");
		var clients=$(this).parent().parent().data("clients");
		$("#addons_modal_del input[name='userid']").val(clients.userid);
		$("#addons_modal_del .addons_modal_del_content").html("<p>客户姓名:"+clients.lastname+clients.firstname+"</p><p>客户邮箱:"+clients.email+"</p>");	
	});
});
function addons_modal(id,status,data){	
	$("#"+id).modal(status);
}
function _post(tclick,tag,action){
	var _this = $("#"+tag+" ."+tclick);
	_this.data("submit","submit");
	$(".module_addons_loading").show();
	$.post("addonmodules.php?module=idcsmart_reseller&module_addons="+action,$("#"+tag+" form").serialize(), function(data){
		$(".module_addons_loading").hide();
		if(data.status==200){
			$("#"+tag+" .addons_modal_msg").html('<span style="color:#5cb85c;">'+data.msg+'</span>');
			setTimeout(function(){
				$("#"+tag).modal('hide');
				window.location.reload();
			},1500);
			
		}else{
			$("#"+tag+" .addons_modal_msg").html('<span style="color:#f00;">'+data.msg+'</span>');
		}
		_this.removeData("submit");
	}, "json")
}
function _search(action){
	window.location.href="addonmodules.php?module=idcsmart_reseller&module_addons="+action+'&search='+$("#addons_modal_search").val();
}

